Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.renderkit
Class ChameleonRenderKitFactory

    java.lang.Object
      javax.faces.render.RenderKitFactory
          org.ajax4jsf.renderkit.ChameleonRenderKitFactory

All Implemented Interfaces:
  javax.faces.FacesWrapper<javax.faces.render.RenderKitFactory>

    public class ChameleonRenderKitFactory

extends javax.faces.render.RenderKitFactory

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/01/09 18:58:50 $
Author:
  shura (latest modification by $Author: alexsmirnov $)

Field Summary

Fields inherited from class javax.faces.render.RenderKitFactory
`HTML_BASIC_RENDER_KIT`

Constructor Summary
`ChameleonRenderKitFactory(javax.faces.render.RenderKitFactory defaultFactory)`

Method Summary
`void` | `addRenderKit(java.lang.String renderKitId, javax.faces.render.RenderKit renderKit)`
`javax.faces.render.RenderKit` | `getRenderKit(javax.faces.context.FacesContext context, java.lang.String renderKitId)`
`java.util.Iterator<java.lang.String>` | `getRenderKitIds()`

Methods inherited from class javax.faces.render.RenderKitFactory
`getWrapped`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChameleonRenderKitFactory

    public ChameleonRenderKitFactory(javax.faces.render.RenderKitFactory defaultFactory)

Parameters:
  `defaultFactory` -

Method Detail

### addRenderKit

    public void addRenderKit(java.lang.String renderKitId,
                             javax.faces.render.RenderKit renderKit)

  Specified by:
    `addRenderKit` in class `javax.faces.render.RenderKitFactory`
  Parameters:
    `renderKitId` -
    `renderKit` -

### getRenderKit

    public javax.faces.render.RenderKit getRenderKit(javax.faces.context.FacesContext context,
                                                     java.lang.String renderKitId)

  Specified by:
    `getRenderKit` in class `javax.faces.render.RenderKitFactory`
  Parameters:
    `context` -
    `renderKitId` -
  Returns:

### getRenderKitIds

    public java.util.Iterator<java.lang.String> getRenderKitIds()

  Specified by:
    `getRenderKitIds` in class `javax.faces.render.RenderKitFactory`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.